#pragma once

#define MY_KL520_MUL_EXAMPLE_JOB_ID 3100
#define FD_MAX                      10
#include "kp_struct.h"
#include "model_res.h"


typedef struct
{
    kp_bounding_box_t fd;                 /**< fd result */
    kp_landmark_result_t lm;              /**< lm result */
} __attribute__((aligned(4))) one_face_data_t;

typedef struct
{
    /* header stamp is necessary for data transfer between host and device */
    kp_inference_header_stamp_t header_stamp;

    uint32_t width;
    uint32_t height;
} __attribute__((aligned(4))) my_kl520_mul_example_header_t;

typedef struct
{
    /* header stamp is necessary for data transfer between host and device */
    kp_inference_header_stamp_t header_stamp;

    uint32_t face_count;
    one_face_data_t faces[FD_MAX];
} __attribute__((aligned(4))) my_kl520_mul_example_result_t;

void my_kl520_mul_example_inf(int job_id, int num_input_buf, void **inf_input_buf_list);
//void my_kl630_mul_example_inf(int job_id, int num_input_buf, void **inf_input_buf_list);
void my_kl520_mul_example_inf_deinit();

